Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 27 Jul 2022 16:02:43 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I had placed two orders, one on the 1st of July and another on the 2nd. Both items delivered were not the correct size so I immediately placed a return request. It has been more than ten days and there is no communication from Splash regarding this. Please look into it as I fear that you will not accept the return if it has been more than 14 days. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4607386